DEV: Remove ember export which has long been deprecated.

DEV: Remove ember export which has long been deprecated.

diff --git a/app/assets/javascripts/discourse-shims.js b/app/assets/javascripts/discourse-shims.js
index adb7afa..71ce847 100644
--- a/app/assets/javascripts/discourse-shims.js
+++ b/app/assets/javascripts/discourse-shims.js
@@ -1,18 +1,3 @@
-// Allow us to import Ember
-define("ember", ["exports"], function (__exports__) {
-  // eslint-disable-next-line no-console
-  console.warn(
-    [
-      "Deprecation notice:",
-      "Use specific `@ember/*` imports instead of `ember`",
-      "(deprecated since Discourse 2.4.0)",
-      "(removal in Discourse 2.5.0)",
-    ].join(" ")
-  );
-
-  __exports__.default = Ember;
-});
-
 define("message-bus-client", ["exports"], function (__exports__) {
   __exports__.default = window.MessageBus;
 });
diff --git a/app/assets/javascripts/discourse/tests/acceptance/custom-html-template-test.js b/app/assets/javascripts/discourse/tests/acceptance/custom-html-template-test.js
index bb79868..a1d52f5 100644
--- a/app/assets/javascripts/discourse/tests/acceptance/custom-html-template-test.js
+++ b/app/assets/javascripts/discourse/tests/acceptance/custom-html-template-test.js
@@ -1,5 +1,4 @@
 import { acceptance, queryAll } from "discourse/tests/helpers/qunit-helpers";
-import Ember from "ember";
 import hbs from "htmlbars-inline-precompile";
 import { test } from "qunit";
 import { visit } from "@ember/test-helpers";
@@ -8,6 +7,7 @@ acceptance("CustomHTML template", function (needs) {
   needs.hooks.beforeEach(() => {
     Ember.TEMPLATES["top"] = hbs`<span class='top-span'>TOP</span>`;
   });
+
   needs.hooks.afterEach(() => {
     delete Ember.TEMPLATES["top"];
   });

GitHub sha: 5a47b351ac97188fe315d663b01e48ac1649abeb

This commit appears in #13877 which was approved by CvX. It was merged by tgxworld.